$(document).ready(function() {
    $('.call-me-form').each(function(i) {
        $(this).load('/sendmailforms/call_me_form.php?i=' + i, {}, function(data) {
            var form = $(this);
            if($(this).attr('button') !== undefined) {
                $('#call_me_button_' + i).val($(this).attr('button'));
            }
           	$('#call_me_phone_' + i).mask("+9(999)999-99-99", {placeholder:"_"});
           	
           	$('#call_me_button_' + i).click(function() {
           	    clickButton(i, form)
           	});
        });
    });
    
    function clickButton(i, form) {
   		$('#call_me_name_error_' + i).html('');
   		$('#call_me_phone_error_' + i).html('');
   		
    	if ($('#call_me_name_' + i).val() == '') {
    		$('#call_me_name_' + i).focus();
    		$('#call_me_name_error_' + i).html('Укажите Ваше имя');
    		return;
    	}
    	if ($('#call_me_phone_' + i).val() == '') {
    		$('#call_me_phone_' + i).focus();
    		$('#call_me_phone_error_' + i).html('Укажите номер телефона');
    		return;
    	}
    	$('#call_me_button_' + i).attr('disabled', true);
    	$('#call_me_loading_' + i).show();
    	$.post('/sendmailforms/save_phone.php', { title: form.attr('title'), name: $('#call_me_name_' + i).val(), phone: $('#call_me_phone_' + i).val(), url: $('#call_me_url_' + i).val() },
            function() {
            	$(form).html('<div class="call_me_success">Спасибо!<br/>Мы скоро свяжемся с Вами.</div>');
                setTimeout(function() {
        			$(form).delay(5000).fadeOut(1000);
                }, 400);
            }
        );
    }
});